'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var codec = require('./codec.js');

const {name, code, decode, encode, decoder, encoder} = codec.codec({
  name: 'json',
  code: 512,
  encode: json => new TextEncoder().encode(JSON.stringify(json)),
  decode: bytes => JSON.parse(new TextDecoder().decode(bytes))
});

exports.code = code;
exports.decode = decode;
exports.decoder = decoder;
exports.encode = encode;
exports.encoder = encoder;
exports.name = name;
